package org.jeecg.modules.ctop.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 广告计划模板信息
 * @Author: jeecg-boot
 * @Date: 2019-07-28
 * @Version: V1.0
 */
@Data
@TableName("ctop_bytedance_advertise_plan_template")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_bytedance_advertise_plan_template对象", description = "广告计划模板信息")
public class BytedanceAdvertisePlanTemplate {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 头条账号id
     */
    @Excel(name = "头条账号id", width = 15)
    @ApiModelProperty(value = "头条账号id")
    private Long accountId;
    /**
     * 广告主id
     */
    @Excel(name = "广告主id", width = 15)
    @ApiModelProperty(value = "广告主id")
    private String advertiserId;
    /**
     * 广告组模板id
     */
    @Excel(name = "广告组模板id", width = 15)
    @ApiModelProperty(value = "广告组模板id")
    private Long campaignTemplateId;
    /**
     * 投放范围
     */
    @Excel(name = "投放范围", width = 15)
    @ApiModelProperty(value = "投放范围")
    private String deliveryRange;
    /**
     * 用户定向模板id
     */
    @Excel(name = "用户定向模板id", width = 15)
    @ApiModelProperty(value = "用户定向模板id")
    private Long userOrentationTemplateId;
    /**
     * 预算与出价模板id
     */
    @Excel(name = "预算与出价模板id", width = 15)
    @ApiModelProperty(value = "预算与出价模板id")
    private Long budgetTemplateId;
    /**
     * 投放目标模板id
     */
    @Excel(name = "投放目标模板id", width = 15)
    @ApiModelProperty(value = "投放目标模板id")
    private Integer deliveryTargetTemplateId;

    /**
     * 模板状态
     */
    @Excel(name = "模板状态", width = 15)
    @ApiModelProperty(value = "模板状态")
    private Integer status;

    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
